# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /opt/recipe, last modified Wed Mar 20 11:09:02 2024
# ------------------------------------------------

package:
  name: ucsc-bedgraphtobigwig
  version: '455'
source:
  patches:
    - include.patch
    - patch1.patch
  sha256: e458cadad7c4a5c1b8385edafffa1b29380ac725a0c20535bf5a3bab99fe80db
  url: https://hgdownload.cse.ucsc.edu/admin/exe/userApps.archive/userApps.v455.src.tgz
build:
  number: '1'
  run_exports:
    - ucsc-bedgraphtobigwig >=455
  string: h2a80c09_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hdade7a5_3
    - gcc_impl_linux-64 12.3.0 he2b93b0_5
    - gcc_linux-64 12.3.0 h6477408_3
    - gxx_impl_linux-64 12.3.0 he2b93b0_5
    - gxx_linux-64 12.3.0 h4a1b8e8_3
    - kernel-headers_linux-64 2.6.32 he073ed8_17
    - ld_impl_linux-64 2.40 h41732ed_0
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_105
    - libgcc-ng 13.2.0 h807b86a_5
    - libgomp 13.2.0 h807b86a_5
    - libsanitizer 12.3.0 h0f45ef3_5
    - libstdcxx-devel_linux-64 12.3.0 h8bca6fd_105
    - libstdcxx-ng 13.2.0 h7e041cc_5
    - make 4.3 hd18ef5c_1
    - sysroot_linux-64 2.12 he073ed8_17
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - ca-certificates 2024.2.2 hbcca054_0
    - libgcc-ng 13.2.0 h807b86a_5
    - libgomp 13.2.0 h807b86a_5
    - libopenssl-static 3.2.1 hd590300_1
    - libpng 1.6.43 h2797004_0
    - libstdcxx-ng 13.2.0 h7e041cc_5
    - libuuid 2.38.1 h0b41bf4_0
    - libzlib 1.2.13 hd590300_5
    - mysql-connector-c 6.1.11 h659d440_1008
    - openssl 3.2.1 hd590300_1
    - zlib 1.2.13 hd590300_5
  run:
    - libgcc-ng >=12
    - libpng >=1.6.43,<1.7.0a0
    - libstdcxx-ng >=12
    - libuuid >=2.38.1,<3.0a0
    - libzlib >=1.2.13,<1.3.0a0
    - mysql-connector-c >=6.1.11,<6.1.12.0a0
    - openssl >=3.2.1,<4.0a0
test:
  commands:
    - which bedGraphToBigWig
about:
  home: http://hgdownload.cse.ucsc.edu/admin/exe/
  license: varies; see http://genome.ucsc.edu/license
  summary: Convert a bedGraph file to bigWig format.
extra:
  additional-platforms:
    - linux-aarch64
  copy_test_source_files: true
  final: true
